@import url('libreria/materialize/css/materialize.min.css');
@import url('pages/home.css?v=6');
@import url('pages/mediaQuerys.css?v=1');
@import url('pages/chatboot.css');
@import url('pages/contactForm.css');
@import url('pages/quote.css');
@import url('pages/product.css');
@import url('pages/promotions.css');
@import url('pages/swiper.css');

:root{
    --process-cyan: #02acd9ff;
    --yellow-green: #97d500ff;
    --persian-green: #01a189ff;
    --kelly-green: #00ac00ff;
    --palatinate-blue: #3534ceff;

    --color-main: #02acd9ff;
    --color-main-oscuro: rgb(0, 123, 157);

    --crema: #EBF2F2;
    --wood: #59554C;
    --azul-claro:#01a189ff;
    --azul-oscuro:#00ac00ff;
    --azul-resalt:#3534ceff;
}


:root{
    --azul-resalt:#EDB02B;

    --color-main: #ED752B;
    --color-main-oscuro: #ED532B;
}

html{
    scroll-behavior: smooth;
}

.beneficios .part.p-a {
    background: #ed6a2b !important;
}


*::-webkit-scrollbar{
    width: 8px;
    height: 8px;
}

*::-webkit-scrollbar-thumb{
    background: #c1c1c1;
}

*::-webkit-scrollbar-track{
    background: rgb(176,186,193,22%);
}

:focus-visible {
    outline: none;
}

.overflow-auto{
    overflow: auto !important;
}

.no-padding{
    padding: 0 !important;
}

.no-margin{
    margin: 0 !important;
}

.img-p{
    width: 100%;
}

.m-30{
    margin: 30px 0;
}

.material-icons {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

main{
    min-height: 80vh;
}

header{
    position: sticky;
    top: 100px;
    z-index: 100;
}

nav{
    background-color: var(--color-main);
}

footer.page-footer{
    background-color: rgb(235 242 242);
    color: #000000;
}

footer.page-footer a:not(.btn) {
    color: black !important;
}

nav#nav-general{
    height: 40px;
    line-height: 40px;
}

nav#nav-general i{
    height: 40px;
    line-height: 40px;
}

nav#nav-info{
    color: var(--black);
    background-color: var(--crema);
    height: 100px;
    line-height: 100px;
    position: sticky;
    top: 0;
    z-index: 100;
}

nav#nav-info i{
    height: 40px;
    line-height: 40px;
    font-size: 1.7rem;
}

nav#nav-info .nav-wrapper{
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 3fr 0.5fr;
    justify-content: end;
    grid-auto-flow: column;
    gap: 30px;
    padding-right: 30px;
}

nav#nav-info .nav-wrapper .item{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    font-size: 0.85rem;
    gap: 8px;
    color: var(--black);
    cursor: pointer;
    padding: 0 10px;
}

nav#nav-info .nav-wrapper .item.contact{
    display: flex;
    flex-direction: column;
}

nav#nav-info .nav-wrapper .item.contact a{
    color: black;
    height: 1rem;
    line-height: 1rem;
    font-size: 1.3rem;
    text-transform: unset;
}

nav#nav-info .nav-wrapper .item:hover{
    background: white !important;
    color: #493f39;
}

nav#nav-general a:not(.exception):hover {
    background-color: rgb(255 255 255 / 27%);
}

nav#nav-general li.active{
    border-bottom: 3px solid var(--azul-resalt);
}

.search-cont{
    height: 100%;
    display: flex;
    align-items: center;
    margin: 0 10px;
    width: 100%;
}

.search-cont .input{
    width: 100%;
    display: flex;
    align-items: center;
    background: var(--crema);

    border-radius: 0.5rem;
    border: 2px solid rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.search-cont .input:has(input:focus){
    border: 2px solid var(--azul-resalt);
}

.search-cont .input input{
    margin: 0;
    border: none !important;
    box-shadow: none !important;
    height: 2rem;
}

.search-cont .input i{
    height: 1rem;
    line-height: 1rem;
    color: white;
    background: var(--color-main);
    padding: 0 10px;
}

.search-cont .input:has(input:focus) i{
    color: var(--azul-resalt);
}

.error-404{
    background: url(../almacenamiento/img/fondo-404.svg) no-repeat;
    background-size: cover;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.toast.pers-toast{
    background: rgb(255 255 255);
    color: rgb(0 0 0);
    border-radius: 0px 5px 5px 0px;
}

.toast.pers-toast b{
    color: var(--color-main);
}

.toast.pers-toast:after {
    content: '';
    position: absolute;
    width: 14%;
    height: 100%;
    background: var(--color-main);
    left: -14%;
    border-radius: 5px 0px 0px 5px;
}

.float-input{
    position: fixed;
    bottom: 10px;
    right: 10px;
    border-radius: 0.5rem;
    background: var(--azul-resalt);
    border: 2px solid var(--azul-resalt);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .5s;
    padding: 5px 15px;
    font-size: 1.2rem;
    box-shadow: 0 0 15px -5px rgba(0, 0, 0, 0.1);
    z-index: 100;
}

.float-input:hover{
    color: var(--azul-resalt);
    background: white;
}

.table-form-contain{
    margin: 20px 8%;
    background: white;
    padding: 20px;
    border-radius: .5rem;
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 15px -3px rgba(0, 0, 0, 0.1);
    overflow: auto;
}

.table-form-contain table{
    border: 1px solid rgba(0, 0, 0, 0.12);
    border-radius: .5rem;
}

.table-form-contain table tr{
    border: 1px solid rgba(0, 0, 0, 0.12);
    text-align: center;
}

.table-form-contain table td, .table-form-contain table th{
    border: 1px solid rgba(0, 0, 0, 0.12);
}

.table-form-contain h4{
    margin-top: 0;
    margin-bottom: 20px;
    background: var(--color-main);
    padding: 10px;
    border-radius: .5rem;
    color: white;
    font-size: 1.5rem;
    font-weight: 500;
}

table textarea{
    margin-top: 6px;
    resize: vertical;
}

input, textarea{
    background: white;
    border-radius: 0.5rem;
    border: 2px solid rgba(0, 0, 0, 0.1);
    padding: 5px 10px;
    height: 2.5rem;
    box-shadow: none !important;
    margin: 0;
    width: 100%;
}

input:not(.no-resalt).invalid, textarea:not(.no-resalt).invalid{
    border: 2px solid rgba(245, 18, 18, 0.812);
}

input:not(.no-resalt).valid, textarea:not(.no-resalt).valid{
    border: 2px solid rgba(33, 245, 18, 0.812);
}

textarea{
    max-width: 100%;
    min-height: 2.5rem;
}

.select-wrapper input.select-dropdown{
    width: calc(100% - 30px);
    background: white;
    border-radius: 0.5rem;
    border: 2px solid rgba(0, 0, 0, 0.1) !important;
    padding: 5px 10px;
    height: calc(2.5rem - 14px) !important;
    box-shadow: none !important;
    line-height: 2.5rem;
    margin: 0;
}

input:focus:not(.no-resalt){
    border: 2px solid var(--azul-resalt);
}

.dropdown-content li>span {
    color: var(--azul-resalt);
}

.file-field .btn{
    margin: 0;
    border-radius: .5rem 0 0 .5rem;
}

.file-field .file-path-wrapper{
    padding: 0;
}

.file-field input.file-path{
    border: 2px solid rgba(0, 0, 0, 0.1);
    margin: 0;
    width: calc(100% - 6px);
    border-radius: 0 .5rem .5rem 0;
    height: 2.8rem;
    padding-left: 14px;
}

label {
    font-size: .8rem;
    color: #9e9e9e;
    display: block;
    width: 100%;
}

.helper-text{
    font-size: .8rem;
    color: #9e9e9e !important;
}

.us-info p{
    font-size: 1.1rem;
    text-align: justify;
}

.us-info h2{
    font-size: 2rem;
}

.container-sigup{
    padding: 40px;
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
}

.container-sigup.forgot-password{
    grid-template-columns: 1fr;
}

.container-sigup.forgot-password .parts{
    width: 100%;
}

.container-sigup .login-contain{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.container-sigup .login-contain .row{
    width: min(440px, 100%);
}

.container-sigup figure{
    margin: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container-sigup figure img{
    width: 100%;
}

.container-sigup figure img.img-w-less{
    width: min(100%, 700px);
}

.password-mark{
    width: 100%;
    height: 10px;
    border-radius: 0.5rem;
    background: var(--crema);
    overflow: hidden;
    margin: 20px 0 5px 0;
}

.password-mark .bar{
    float: left;
    height: 10px;
    width: 0;
    background: var(--persian-green);
    transition: all .5s;
}

.password-mark-text{
    color: #6d6d6d;
    font-size: 0.8rem;
}

.align-center{
    text-align: center;
}

.grid-contain{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(300px, 100%), 1fr));
    gap: 20px;
}

.grid-contain .cot-item{
    padding: 14px 16px;
    border-radius: 0.8rem;
    border: 2px solid rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 15px -3px rgba(0, 50, 91, 0.1);
}

.grid-contain .cot-item a{
    color: #000;
}

.grid-contain .cot-item:hover{
    border: 2px solid var(--color-main);
}

.grid-contain .cot-item:hover a{
    color: var(--color-main);
}

.grid-contain .cot-item .content-title h5{
    margin: 0.4rem 0 1rem 0;
}

.divisor{
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.grid-contain .cot-item .content-title p{
    margin: 0.5rem 0;
    font-weight: 300;
    display: flex;
    align-items: center;
}

.grid-contain .cot-item .content-title p i.material-icons{
    color: rgba(0, 0, 0, 0.3);
    font-size: 1.05rem;
    margin-right:8px;
}

.grid-contain .cot-item:hover .content-title p i.material-icons{
    color: var(--color-main-oscuro);
}

.truncate-nav{
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 120px;
}

.trigger-shop-car{
    position: absolute;
    top: 4px;
    right: 4px;
    background: rgb(2 217 14);
    border-radius: 100%;
    aspect-ratio: 1 / 1;
    height: 1.1rem;
    font-size: 0.6rem;
    line-height: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav ul a {
    position: relative;
    text-transform: uppercase;
    font-size: 0.9rem;
    display: flex;
    gap: 10px;
}

.user-i a{
    padding: 4px 10px;
    border-radius: 4px;
    margin-left: 8px;
    background: var(--azul-resalt);
}

nav .brand-logo {
    left: 20px;
    position: relative;
    height: 100%;
    line-height: 0;
}

[type="checkbox"].filled-in:checked+span:not(.lever):after {
    border: 2px solid var(--color-main);
    background-color: var(--color-main);
}

.dropdown-content li>a>i{
    line-height: 20px !important;
    height: 20px !important;
}

.dropdown-trigger-menu.active{
    background: #493f39 !important;
    color: white;
}

#category-dropdown{
    background: white !important;
    color: #493f39;
}

.sticky-menu-detail{
    position: sticky;
    top: 45px;
    z-index: 50;
}

.sticky-menu-detail ul{
    width: 100%;
    display: flex;
    align-items: center;

    padding: 20px 12px;
    font-size: 1.1rem;
    background: #493f39;
    gap: 12px;
    border-radius: 0.5rem;
    position: relative;
}

.sticky-menu-detail ul .trigger-open-modal-fast-quote{
    position: absolute;
    right: 12px;
    font-size: 1.1rem;
    border-radius: 0.5rem;
    height: auto;
}

.sticky-menu-detail ul li{
    border-radius: 0.5rem;
    color: white;
    background: rgba(255, 255, 255, 0.1);
}

.sticky-menu-detail ul li:hover{
    background: var(--color-main);
}

.sticky-menu-detail ul li a{
    color: var(--color-main);
    font-weight: bolder;
    text-transform: uppercase;
    padding: 8px 10px;
    display: flex;
}

.sticky-menu-detail ul li:hover a{
    color: #493f39;
}

.contain-info{
    position: relative;
    z-index: 10;
}

.contain-info .trigger-scroll{
    position: absolute;
    top: -150px;
}

.contain-info h3{
    color: var(--color-main);
    font-weight: bolder;
    text-transform: uppercase;
}

.sidenav{
    background: #493f39;
    color: var(--color-main) !important;
}

.sidenav li>a, .sidenav li>a i{
    color: var(--color-main) !important;
}

.sidenav li>a i{
    margin: 0 !important;
}

.sidenav li>a:hover, .sidenav li>a:hover i{
    color: white !important;
    background: var(--color-main);
}

.sidenav .sub-nav-info li>a{
    padding-left: 4rem;
}